网站首页 » easyswoole

使用easyswoole的spider组件实现定时抓取

使用easyswoole 的 spider组件实现定时抓取博客文章, 只做学术交流,不实际进行运用,如果造成不好的影响请及时联系我easyswoole spider 组件地址: 点击查看项目规划做一个定时爬虫程序,定时抓取大佬博客(大佬的博客的链接可在代码中看到)的文章发布到自己的博客上,每次抓取后,将最新的文章记录到文件,下次再进行抓取只抓取到上[...]

网站首页 » easyswoole

Swoole 安装 Swoole 出现 Enable openssl support, require openssl library 的解决办法

试用easyswoole 官网的爬虫项目时, 提示PHP Fatal error: Uncaught SwooleCoroutineHttpClientException: you must configure with `enable-openssl` to support ssl connection in /Library/WebServe[...]

网站首页 » easyswoole

easyswoole学习前必须了解的几个概念

类/函数重复定义新手非常容易犯这个错误,由于easySwoole是常驻内存的,所以加载类/函数定义的文件后不会释放。因此引入类/函数的php文件时必须要使用include_once或require_once,否则会发生cannot redeclare function/class 的致命错误。建议使用composer 做自动加载进程隔离与内存管理 [...]

网站首页 » easyswoole

mac 配置自带php环境及安装easyswoole

由于项目需要学习下easyswoole 框架, 奈何要求安装pcntl扩展,windows 无法安装pcntl扩展, 只能是借用公司的mac ,安装过程中还是遇到了一些问题,所以记录总结一下。mac 自带的php版本为7.1.6 , 如果不知道怎么看的同学,终端:php -vphp 的扩展包文件夹: /usr/lib/php/extensions/[...]